Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.jasperreports.engine.type
Enum WhenNoDataTypeEnum

    java.lang.Object
      java.lang.Enum<WhenNoDataTypeEnum>
          net.sf.jasperreports.engine.type.WhenNoDataTypeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WhenNoDataTypeEnum>, JREnum

    public enum WhenNoDataTypeEnum

extends java.lang.Enum<WhenNoDataTypeEnum>
implements JREnum

Version:
  $Id: JasperCompileManager.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Enum Constant Summary
`ALL_SECTIONS_NO_DETAIL` Specifies that in case of empty datasources, all sections except detail will displayed.
`BLANK_PAGE` Specifies that in case of empty datasources, there will be a report with just one blank page.
`NO_DATA_SECTION` Specifies that in case of empty datasources, the NoData section will be displayed.
`NO_PAGES` Specifies that in case of empty datasources, there will be an empty report.

Method Summary
`static WhenNoDataTypeEnum` | `getByName(java.lang.String name)`
`static WhenNoDataTypeEnum` | `getByValue(byte value)`
`static WhenNoDataTypeEnum` | `getByValue(java.lang.Byte value)`
`java.lang.String` | `getName()`
`byte` | `getValue()`
`java.lang.Byte` | `getValueByte()`
`static WhenNoDataTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WhenNoDataTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_PAGES

    public static final WhenNoDataTypeEnum NO_PAGES

  Specifies that in case of empty datasources, there will be an empty report.

### BLANK_PAGE

    public static final WhenNoDataTypeEnum BLANK_PAGE

  Specifies that in case of empty datasources, there will be a report with just one blank page.

### ALL_SECTIONS_NO_DETAIL

    public static final WhenNoDataTypeEnum ALL_SECTIONS_NO_DETAIL

  Specifies that in case of empty datasources, all sections except detail will displayed.

### NO_DATA_SECTION

    public static final WhenNoDataTypeEnum NO_DATA_SECTION

  Specifies that in case of empty datasources, the NoData section will be displayed.

Method Detail

### values

    public static WhenNoDataTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WhenNoDataTypeEnum c : WhenNoDataTypeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WhenNoDataTypeEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValueByte

    public java.lang.Byte getValueByte()

  Specified by:
    `getValueByte` in interface `JREnum`

### getValue

    public final byte getValue()

  Specified by:
    `getValue` in interface `JREnum`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `JREnum`

### getByName

    public static WhenNoDataTypeEnum getByName(java.lang.String name)

### getByValue

    public static WhenNoDataTypeEnum getByValue(java.lang.Byte value)

### getByValue

    public static WhenNoDataTypeEnum getByValue(byte value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com